package com.ruoyi.project.reliability.service.impl;

import java.util.List;

import com.ruoyi.project.reliability.domain.TBamList;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.reliability.mapper.TBamFinishMapper;
import com.ruoyi.project.reliability.domain.TBamFinish;
import com.ruoyi.project.reliability.service.ITBamFinishService;

import javax.annotation.Resource;

/**
 * 结束的故障管理跟踪Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-21
 */
@Service
public class TBamFinishServiceImpl implements ITBamFinishService
{
    @Resource
    private TBamFinishMapper tBamFinishMapper;

    /**
     * 查询结束的故障管理跟踪
     *
     * @param id 结束的故障管理跟踪ID
     * @return 结束的故障管理跟踪
     */
    @Override
    public TBamFinish selectTBamFinishById(Long id)
    {
        return tBamFinishMapper.selectTBamFinishById(id);
    }

    /**
     * 查询结束的故障管理跟踪列表
     *
     * @param tBamFinish 结束的故障管理跟踪
     * @return 结束的故障管理跟踪
     */
    @Override
    public List<TBamFinish> selectTBamFinishList(TBamFinish tBamFinish)
    {
        return tBamFinishMapper.selectTBamFinishList(tBamFinish);
    }

    /**
     * 新增结束的故障管理跟踪
     *
     * @param tBamFinish 结束的故障管理跟踪
     * @return 结果
     */
    @Override
    public int insertTBamFinish(TBamFinish tBamFinish)
    {
        return tBamFinishMapper.insertTBamFinish(tBamFinish);
    }

    /**
     * 跟踪提交得结束的故障管理跟踪
     *
     * @param bamList 故障管理跟踪
     * @return 结果
     */
    @Override
    public int insertTBamFinishFromList(TBamList bamList)
    {
        return tBamFinishMapper.insertTBamFinishFromList(bamList);
    }

    /**
     * 修改结束的故障管理跟踪
     *
     * @param tBamFinish 结束的故障管理跟踪
     * @return 结果
     */
    @Override
    public int updateTBamFinish(TBamFinish tBamFinish)
    {
        return tBamFinishMapper.updateTBamFinish(tBamFinish);
    }

    /**
     * 批量删除结束的故障管理跟踪
     *
     * @param ids 需要删除的结束的故障管理跟踪ID
     * @return 结果
     */
    @Override
    public int deleteTBamFinishByIds(Long[] ids)
    {
        return tBamFinishMapper.deleteTBamFinishByIds(ids);
    }

    /**
     * 删除结束的故障管理跟踪信息
     *
     * @param id 结束的故障管理跟踪ID
     * @return 结果
     */
    @Override
    public int deleteTBamFinishById(Long id)
    {
        return tBamFinishMapper.deleteTBamFinishById(id);
    }
}
